module libaom_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libaom
const libaom_path = "/usr/lib/libaom.so.3"
libaom_handle = C_NULL
get_libaom_path() = libaom_path
const libaom = "libaom.so.3"
export aomdec
const aomdec_path = "/usr/bin/aomdec"
aomdec(f::Function; kw...) = f(aomdec_path)
aomdec(; kw...) = Cmd([aomdec_path])
export aomenc
const aomenc_path = "/usr/bin/aomenc"
aomenc(f::Function; kw...) = f(aomenc_path)
aomenc(; kw...) = Cmd([aomenc_path])
function __init__()
    global libaom_handle = dlopen(libaom_path)
end
end
